org.apache.lucene.search.highlight

## Class WeightedSpanTerm

- java.lang.Object
- - org.apache.lucene.search.highlight.WeightedTerm
  - - org.apache.lucene.search.highlight.WeightedSpanTerm

-     public class WeightedSpanTerm
      extends WeightedTerm

  Lightweight class to hold term, weight, and positions used for scoring this term.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WeightedSpanTerm(float weight, String term)`
    `WeightedSpanTerm(float weight, String term, boolean positionSensitive)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPositionSpans(List<PositionSpan> positionSpans)`
    `boolean` | `checkPosition(int position)` Checks to see if this term is valid at `position`.
    `List<PositionSpan>` | `getPositionSpans()`
    `boolean` | `isPositionSensitive()`
    `void` | `setPositionSensitive(boolean positionSensitive)`

    - ### Methods inherited from class org.apache.lucene.search.highlight.WeightedTerm

      `getTerm, getWeight, setTerm, setWeight`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WeightedSpanTerm

          public WeightedSpanTerm(float weight,
                                  String term)

    - #### WeightedSpanTerm

          public WeightedSpanTerm(float weight,
                                  String term,
                                  boolean positionSensitive)

  - ### Method Detail

    - #### checkPosition

          public boolean checkPosition(int position)

      Checks to see if this term is valid at `position`.
      Parameters:
        `position` - to check against valid term positions
      Returns:
        true iff this term is a hit at this position

    - #### addPositionSpans

          public void addPositionSpans(List<PositionSpan> positionSpans)

    - #### isPositionSensitive

          public boolean isPositionSensitive()

    - #### setPositionSensitive

          public void setPositionSensitive(boolean positionSensitive)

    - #### getPositionSpans

          public List<PositionSpan> getPositionSpans()

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.